Bug 260221 - net-im/matterircd: Update to 0.25.0
Summary: net-im/matterircd: Update to 0.25.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dries Michiels
URL: https://github.com/42wim/matterircd/r...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-04 21:43 UTC by Corey Halpin
Modified: 2021-12-09 19:01 UTC (History)
2 users (show)

See Also:
norrland: maintainer-feedback+


Attachments
Proposed patch (902 bytes, patch)
2021-12-04 21:43 UTC, Corey Halpin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Corey Halpin 2021-12-04 21:43:10 UTC
Created attachment 229906 [details]
Proposed patch

Update to v 0.25.0

Changelog entries:

New features
   - general: Add automated docker builds
   - general: Allow overriding handshake timeout. Fixes #438 (#439)
   - mattermost: Support saving last viewed at state for multiple users (mattermost) (#425)
   - mattermost: Add mattermost 6 support (#452)
   - mattermost: Allow overriding client timeout (mattermost) (#449)
   - mattermost: Allow overriding the anti-idle channel and interval (mattermost) (#441)

Bugfix
   - general: Fix word boundary and grammar of error messages (#443)
   - mattermost: Fix to ensure reply message is on the same line as last message line (mattermost) (#447)
   - mattermost: Addition and removal of user to/from team from system (mattermost) (#442)
   - slack: Fix segfault when bot user fetch fails (#440)


Passes `poudriere testport`, no complaints from `portlint`, built package works in my testing.
Comment 1 Dries Michiels freebsd_committer 2021-12-06 15:47:17 UTC
Take
Comment 2 commit-hook freebsd_committer 2021-12-09 19:00:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=07cbc65d84e61364498dc164e80493cfba588d56

commit 07cbc65d84e61364498dc164e80493cfba588d56
Author:     Corey Halpin <chalpin@cs.wisc.edu>
AuthorDate: 2021-12-06 15:48:54 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-09 18:59:40 +0000

    net-im/matterircd: Update to 0.25.0

    Changes:                https://github.com/42wim/matterircd/releases/tag/v0.25.0
    PR:                     260221
    Approved by:            0mp (mentor), norrland@nullbyte.se (maintainer)
    Differential Revision:  https://reviews.freebsd.org/D33303

 net-im/matterircd/Makefile | 2 +-
 net-im/matterircd/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 3 Dries Michiels freebsd_committer 2021-12-09 19:01:11 UTC
Committed, thanks!